import { Base } from '../../static/util/base.js'
class TaskList extends Base {

  constructor() {
    super();
  }
  
 getTaskList(callBack){
  	var params = {
  	  url: '/ah/ahZoneSampleCheck/getSampleTasksList?pageNum=1&pageSize=100',
  	  sCallBack: function (res) {
  	    callBack && callBack(res)
  	  }
  	}
  	this.serviceRequest(params);  
  }
  
  getDictionary(type, callBack){
   	var params = {
   	  url: '/ah/ahDictionary/listType?type='+type,
   	  sCallBack: function (res) {
   	    callBack && callBack(res.data)
   	  }
   	}
   	this.serviceRequest(params);  
   }
   
   
   getTaskSampleDetail(taskId,callBack){
	   var params = {
		 url: '/ah/ahTaskDetail/list?pageNum=1&pageSize=100&taskId='+taskId,
		 sCallBack: function (res) {
		   callBack && callBack(res)
		 }
	   }
	   this.serviceRequest(params);  
   }
   
}




  
	const _taskList = new TaskList();
	export { _taskList }